package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

/**
 * 虚拟服务端SCSI适配器
 * <p>
 * 虚拟 SCSI（小型计算机系统接口）适配器为一个逻辑分区提供使用另一个逻辑分区拥有的存储器 I/O（磁盘、CD 和磁带）的功能
 * </p>
 *
 * @author sxp
 * @since Jul 4, 2018
 */
public class ProfileVirtualSCSIServerAdapter {
    private Metadata metadata;
    /**
     * 适配器标识
     */
    private String virtualSlotNumber;
    /**
     * 要激活分区，此适配器是否必需的
     */
    private String isRequired;
    /**
     * 适配器类型
     */
    private String adapterType = "Server";
    /**
     * 所属逻辑分区的标识
     */
    private String localPartitionID;
    /**
     * 服务器适配器标识(实际上是服务器插槽的编号)
     */
    private String remoteSlotNumber;
    /**
     * 服务器分区标识(一般选择类型为VIOS)
     */
    private String remotePartitionID;

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getVirtualSlotNumber() {
        return virtualSlotNumber;
    }

    public void setVirtualSlotNumber(String virtualSlotNumber) {
        this.virtualSlotNumber = virtualSlotNumber;
    }

    public String getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(String isRequired) {
        this.isRequired = isRequired;
    }

    public String getAdapterType() {
        return adapterType;
    }

    public void setAdapterType(String adapterType) {
        this.adapterType = adapterType;
    }

    public String getLocalPartitionID() {
        return localPartitionID;
    }

    public void setLocalPartitionID(String localPartitionID) {
        this.localPartitionID = localPartitionID;
    }

    public String getRemoteSlotNumber() {
        return remoteSlotNumber;
    }

    public void setRemoteSlotNumber(String remoteSlotNumber) {
        this.remoteSlotNumber = remoteSlotNumber;
    }

    public String getRemotePartitionID() {
        return remotePartitionID;
    }

    public void setRemotePartitionID(String remotePartitionID) {
        this.remotePartitionID = remotePartitionID;
    }
}
